Name:          openvas-manager
Version:       5.0.11
Release:       1mamba
Summary:       OpenVAS Open Vulnerability Assessment System manager
Group:         Network/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.openvas.org
Source:        http://wald.intevation.org/frs/download.php/2105/openvas-manager-%{version}.tar.gz
#Source:        http://wald.intevation.org/frs/download.php/802/openvas-client-%{version}.tar.gz
Source1:       openvas-icon.xpm
Patch0:        openvas-manager-5.0.11-glibc-2.22.patch
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libassuan-devel
BuildRequires: libglib-devel
BuildRequires: libgnutls-devel
BuildRequires: libgpg-error-devel
BuildRequires: libgpgme-devel
BuildRequires: libsqlite-devel
BuildRequires: openvas-libraries-devel
## AUTOBUILDREQ-END
Requires:      openvas-scanner
Provides:      openvas-client
Obsoletes:     openvas-client
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
OpenVAS Open Vulnerability Assessment System manager.

%prep
%setup -q
%patch0 -p1

%build
%cmake -d build

%make

%install
test x"%buildroot" != x/ && rm -rf "%buildroot"
%makeinstall -C build

#install -D -m0644 openvas/OpenVAS-Client.desktop %{buildroot}%{_datadir}/applications/OpenVAS-Client.desktop
#install -D -m0644 %{SOURCE1} %{buildroot}%{_datadir}/pixmaps/OpenVAS-Client.xpm
#
#%find_lang OpenVAS-Client

%clean
test x"%buildroot" != x/ && rm -rf "%buildroot"

%files
%defattr(-,root,root)
%dir %{_sysconfdir}/openvas
%config %{_sysconfdir}/openvas/openvasmd_log.conf
%config %{_sysconfdir}/openvas/pwpolicy.conf
%{_sbindir}/greenbone-certdata-sync
%{_sbindir}/greenbone-scapdata-sync
%{_sbindir}/openvas-certdata-sync
%{_sbindir}/openvas-portnames-update
%{_sbindir}/openvas-scapdata-sync
%{_sbindir}/openvasmd
%{_docdir}/openvas-manager/html/omp.html
%dir %{_datadir}/openvas
%dir %{_datadir}/openvas/cert
%{_datadir}/openvas/cert/*
%{_datadir}/openvas/openvas-lsc-rpm-creator.sh
%dir %{_datadir}/openvas/openvasmd
%{_datadir}/openvas/openvasmd/*
%dir %{_datadir}/openvas/scap
%{_datadir}/openvas/scap/*
%{_mandir}/man8/openvasmd.8*

%changelog
* Fri Feb 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 5.0.11-1mamba
- update to 5.0.11

* Fri Feb 05 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.2-1mamba
- update to 3.0.2

* Tue Aug 10 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 3.0.1-1mamba
- update to 3.0.1

* Mon Oct 19 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-2mamba
- added requirements for openvas-server and openvas-plugins
- added desktop menu entry

* Mon Jul 27 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.4-1mamba
- first build
